<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
        <title>So sánh bản dịch để tạo bảng song ngữ</title>
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
</head>
<h1>So sánh 2 file văn bản để làm bảng song ngữ</h1>
<h2>Công dụng:</h2>
Chương trình này giúp so sánh 2 văn bản, ví dụ: tài liệu gốc và bản dịch.<br />
Chương trình sẽ xuất ra bảng song ngữ để đối chiếu nội dung theo từng cặp câu, dưới dạng file HTML (có thể chép lại và đưa vào blog, trang web, file Word) và file ZIP chứa bảng ở định dạng CSV (mở được bằng Excel).<br />
<br />

<h2>Hướng dẫn:</h2>
&nbsp;&nbsp;+ Chọn 2 file văn bản để upload. 2 file này phải cùng kiểu (cùng có tên mở rộng là .DOC, .DOCX, .TXT, hoặc .PDF).<br />
&nbsp;&nbsp;+ Chọn ngôn ngữ trong các file văn bản. <br />
<br />
<form action="../cgi-bin/songngu_processing.py" method="post" enctype="multipart/form-data">
IMPORTANT: Bạn có muốn XÓA các file tải lên sau khi xử lý xong? (kết quả vẫn sẽ được lưu trên trang web này)<br />
<input type="radio" name="delete_data" value="yes" /> (default) Có
<input type="radio" name="delete_data" value="no" /> Không
<br />
Bạn có muốn kết quả được gửi tự động đến trang <a href="https://rosettavn.wordpress.com">rosettavn.wordpress.com</a>?
<br />
<input type="radio" name="push_data" value="yes" /> (default) Có
<input type="radio" name="push_data" value="no" /> Không
<br />
Nếu chọn gửi dữ liệu đến rosettavn.wordpress.com, hãy ghi thông tin bạn muốn đưa kèm vào khung dưới đây (địa chỉ email của bạn, tên tác phẩm, lời nhắn...):<br />
Lời nhắn: <input type="text" name="user_message" value="" style="width: 500px;"/><br />
<br />
<h3>[Source document] File 1: <input type="file" name="upload1" /> or URL: <input type="text" name="url1" value="" style="width: 300px;"/> and its language:
<select name="language1">
<option value="de">de - tiếng Đức</option>
<option value="en" selected>en - tiếng Anh</option>
<option value="fr">fr - tiếng Pháp</option>
<option value="vi">vi - tiếng Việt</option>
</select></h3>
<br />
<h3>[Target document] File 2: <input type="file" name="upload2" /> or URL: <input type="text" name="url2" value="" style="width: 300px;"/> and its language:
<select name="language2">
<option value="de">de - tiếng Đức</option>
<option value="en">en - tiếng Anh</option>
<option value="fr">fr - tiếng Pháp</option>
<option value="vi" selected>vi - tiếng Việt</option>
</select></h3>
<br />

<h3><input type="submit" value="Submit info"/></form></h3>
<!-- Run from Linux terminal in the folder containing cgi-bin:
python3 -m http.server --bind localhost --cgi 8000
or with Python2:
python -m CGIHTTPServer 8000 .
Then access this web page on localhost:8000
 -->
